package com.manalejandro.mongodbcrud.controllers;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.web.servlet.error.ErrorController;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import com.manalejandro.mongodbcrud.forms.IndexForm;
import com.manalejandro.mongodbcrud.model.Item;
import com.manalejandro.mongodbcrud.services.ItemService;
import com.manalejandro.mongodbcrud.vo.IndexVO;

@Controller
public class IndexController implements ErrorController {

	private ItemService itemService;

	@Autowired
	public IndexController(ItemService itemService) {
		this.itemService = itemService;
	}

	@RequestMapping("/")
	public String index(final @ModelAttribute IndexForm indexForm, final Model model) {
		IndexVO indexVO = new IndexVO();
		if (indexForm.getId() == null) {
			indexVO.getListItem().addAll(itemService.getAll());
		} else {
			Item item = itemService.getItem(indexForm.getId());
			indexForm.setId(item.getId());
			indexForm.setNombre(item.getNombre());
			indexForm.setApellido1(item.getApellido1());
			indexForm.setApellido2(item.getApellido2());
		}
		model.addAttribute("indexVO", indexVO);
		return "index";
	}

	public String getErrorPath() {
		return "error";
	}
	
}
