package com.manalejandro.mongodbcrud.services;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.manalejandro.mongodbcrud.model.Item;
import com.manalejandro.mongodbcrud.repositories.ItemRepository;

@Service
public class ItemServiceImpl implements ItemService {

	private ItemRepository itemRepository;

	@Autowired
	public ItemServiceImpl(ItemRepository itemRepository) {
		this.itemRepository = itemRepository;
	}

	public List<Item> getAll() {
		return this.itemRepository.findAll();
	}

	public Item getItem(String id) {
		return this.itemRepository.findById(id).isPresent() ? this.itemRepository.findById(id).get() : null;
	}
}
